%define name coolmail
%define version 1.3
%define release 4mdk

Summary: Coolmail mail notification utility
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Mail
Source: %{name}-%{version}.tar.bz2
Patch: coolmail-1.3.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Coolmail is an X based 3D animated mail notification utility.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n coolmail-1.3
%patch

%build
make "CFLAGS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -m 755 coolmail $RPM_BUILD_ROOT/usr/X11R6/bin/coolmail
install -m 644 Coolmail.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Coolmail
install  -m 644 coolmail.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/coolmail.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README* TODO COPYRIGHT
/usr/X11R6/lib/X11/app-defaults/*
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*

%changelog
* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-4mdk
- rebuild

* Tue Aug 01 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3-3mdk
- BM

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3-2mdk
- fix files section
- fix group
- bzip2 patch

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
 
* Wed May 12 1999 Peter Soos <sp@osb.hu>
- corrected the file and directory attributes to rebuild the package
  under RedHat Linux 6.0
 
* Fri Dec 25 1998 Peter Soos <sp@osb.hu>
- corrected the file and directory attributes
 
* Mon Jun 22 1998 Peter Soos <sp@osb.hu>
Using %attr
 
* Fri Dec 6 1997 Peter Soos <sp@osb.hu>
Recompiled under RedHat Linux 5.0  
